# Uses of Interface
org.bukkit.entity.ExperienceOrb

Packages that use ExperienceOrb
Package
Description
com.destroystokyo.paper.event.entity
com.destroystokyo.paper.event.player
org.bukkit.event.player
`Events` relating to `players`.

## Uses of ExperienceOrb in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return ExperienceOrb
Modifier and Type
Method
Description
`@NotNull ExperienceOrb`
ExperienceOrbMergeEvent.`getMergeSource()`
`@NotNull ExperienceOrb`
ExperienceOrbMergeEvent.`getMergeTarget()`
Constructors in com.destroystokyo.paper.event.entity with parameters of type ExperienceOrb
Modifier
Constructor
Description
``
`ExperienceOrbMergeEvent(@NotNull ExperienceOrb mergeTarget, @NotNull ExperienceOrb mergeSource)`

## Uses of ExperienceOrb in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return ExperienceOrb
Modifier and Type
Method
Description
`@NotNull ExperienceOrb`
PlayerPickupExperienceEvent.`getExperienceOrb()`
Constructors in com.destroystokyo.paper.event.player with parameters of type ExperienceOrb
Modifier
Constructor
Description
``
`PlayerPickupExperienceEvent(@NotNull Player player, @NotNull ExperienceOrb experienceOrb)`

## Uses of ExperienceOrb in org.bukkit.event.player

Methods in org.bukkit.event.player that return ExperienceOrb
Modifier and Type
Method
Description
`@NotNull ExperienceOrb`
PlayerItemMendEvent.`getExperienceOrb()`
Get the experience orb triggering the event.
Constructors in org.bukkit.event.player with parameters of type ExperienceOrb
Modifier
Constructor
Description
``
`PlayerItemMendEvent(@NotNull Player who, @NotNull ItemStack item, @NotNull ExperienceOrb experienceOrb, int repairAmount)`
Deprecated.
``
`PlayerItemMendEvent(@NotNull Player who, @NotNull ItemStack item, @NotNull EquipmentSlot slot, @NotNull ExperienceOrb experienceOrb, int repairAmount)`